'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var _bind = Function.prototype.bind;
exports['default'] = stamp;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i]; return arr2; } else { return Array.from(arr); } }

var _lodashObjectAssign = require('lodash/object/assign');

var _lodashObjectAssign2 = _interopRequireDefault(_lodashObjectAssign);

var _ = require('.');

/**
 * Get the non-enum properties of an object.
 *
 * (src: object): enums: object
 */
function getNonEnum(src) {
  var obj = {};
  var props = Object.getOwnPropertyNames(src),
      enumOnly = Object.keys(src);

  props.forEach(function (key) {
    var indexInEnum = enumOnly.indexOf(key);
    if (indexInEnum === -1 && key !== 'constructor') {
      obj[key] = src[key];
    }
  });

  return obj;
}

/**
 * ES7 decorator for converting an ES6 class to a stamp.
 *
 * (Class?: func): stamp
 */

function stamp(Class) {
  var desc = {};

  desc.initializers = [function (options, _ref) {
    var instance = _ref.instance;
    var args = _ref.args;
    return (0, _lodashObjectAssign2['default'])(instance, new (_bind.apply(Class, [null].concat([options], _toConsumableArray(args))))());
  }];

  desc.methods = (0, _lodashObjectAssign2['default'])({}, Object.getPrototypeOf(Class).prototype, getNonEnum(Class.prototype));

  return (0, _.compose)(desc);
}

module.exports = exports['default'];